<?php
/**
 * Initiator ( functions-setup.php )
 *
 * This (functions.php) template file should only do two jobs, one is to check the compatibility if the site meets
 * the miminum requirements before the theme proceeds to activate. The second job is to autoload the backdrop core
 * famework.
 *
 * @package     Initiator
 * @copyright   Copyright (C) 2018-2019. Benjamin Lu
 * @license     GNU General Public License v2 or later ( https://www.gnu.org/licenses/gpl-2.0.html )
 * @author      Benjamin Lu ( https://benjlu.com )
 */

/**
 * Define namespace
 */
namespace Initiator\Config;

/**
 * Table of Content
 *
 * 1.0 - config ( Additional Feature )
 */
function load_additional_features() {
	/**
	 *  Enable Sidebars
	 *
	 * When enabled, this should include primary and custom sidebar.
	 */
	add_theme_support( 'align-wide' );

	add_theme_support( 'backdrop-register-sidebars' );

	add_theme_support( 'editor-styles' );

	add_editor_style( 'framework/dist/css/style-editor.css' );
}
add_action( 'after_setup_theme', __NAMESPACE__ . '\load_additional_features' );
