<?php
/**
 * Backdrop Core ( functions-customizer.php )
 *
 * @package        Backdrop Core
 * @copyright      Copyright (C) 2018-2019. Benjamin Lu
 * @license        GNU General Public License v2 or later ( https://www.gnu.org/licenses/gpl-2.0.html )
 * @author         Benjamin Lu ( https://benjlu.com )
 */

/**
 * Define namespace
 */
namespace Benlumia007\Backdrop\Customizer;

/**
 * Table of Content
 *
 *  1.0 - Customize ( Theme Layout ( $wp_customize ) )
 *  2.0 - Customize ( Theme Layout ( Validation ) )
 */

/**
 *
 * 1.0 - Customize ( Theme Layout ( $wp_customize ) )
 *
 * @param array $wp_customize a basic.
 */
function load_customizer( $wp_customize ) {
	/**
	 * Regiser a panel for theme options.
	 */
	$wp_customize->add_panel(
		'theme_options',
		array(
			'title'    => esc_html__( 'Theme Options', 'individuality' ),
			'priority' => 5,
		)
	);
}
add_action( 'customize_register', __NAMESPACE__ . '\load_customizer' );
